1   REM - THE GAME OF TAZ
2   REM - YOU ARE THE RULER OF ANCIENT TAZ, AN AGRARIAN SOCIETY.
3   REM - YOU MUST KEEP YOUR TINY COUNTRY ALIVE FOR AN ELECTION PERIOD
4   REM - OF 10 YEARS EACH.   YOU MAY BE RE-ELECTED INTO OFFICE IF YOU
5   REM - DO WELL.  THE GOAL OF THE GAME IS TO SURVIVE EACH ELECTION
6   REM - PERIOD AND GROW YOUR TINY COUNTRY INTO AN EMPIRE!

10  DEFINT A-Z
20  REM - THE GAME STARTS WITH NP PEOPLE, NS SEEDS TO PLANT WITH, NB
21  REM - BUSHELS OF FOOD TO FEED YOUR PEOPLE WITH, AND NA ACRES OF
22  REM - LAND TO PLANT NEW FOOD AND HOUSE YOUR PEOPLE.

30  LET NP0 = 100
35  LET NS0 = NP0
40  LET NB0 = 2 * NP0
45  LET NA0 = 10 * NP0

50  LET NP = NP0
55  LET NS = NS0
60  LET NB = NB0
65  LET NA = NA0

70  REM - THE RULES: PEOPLE EAT 2/3 BUSHELS PER TIME INCREMENT OR YOU
71  REM - KILL THE PEOPLE WHO DIDN'T GET ENOUGH FOOD.  A PERSON CAN
72  REM - PLANT UP TO 3 ACRES EACH, OR YOU KILL THE PEOPLE WHO ARE
73  REM - OVERWORKED.  IT TAKES 2 SEEDS TO PLANT AN ACRE OF LAND;
74  REM - YOU WILL NOT BE ALLOWED TO PLANT MORE THAN YOU HAVE SEEDS.
75  REM - AFTER EACH TIME INCREMENT, AN ACRE OF PLANTED LAND PRODUCES
76  REM - 3 SEEDS (NET GAIN=1 SEED/ACRE) AND 3 BUSHELS OF FOOD.
77  REM - THE REMAINING POPULATION WILL GROW AT A RATE OF BETWEEN
78  REM - 1.0X AND 1.3X THE POPULATION EVERY YEAR.
79  REM - YOU CAN BUY/SELL LAND AFTER 5 YRS IN OFFICE.

80  PRINT "WELCOME TO THE TINY COUNTRY OF TAZ, AN AGRARIAN COUNTRY WITH"
81  PRINT "A SMALL POPULATION BUT LOTS OF POTENTIAL!"
82  PRINT "YOUR JOB IS TO TRY TO GROW YOUR TINY COUNTRY INTO AN EMPIRE,"
83  PRINT "BUT I'LL BE HAPPY IF YOU JUST KEEP FROM KILLING YOUR PEOPLE"
84  PRINT "DURING ANY GIVEN YEAR."
85  PRINT "YOU HAVE BEEN ELECTED TO A 10-YEAR TERM."

89  LET YR = 1
90  LET NYR = 1
100 GOSUB 9000
110 IF NP < 1 THEN PRINT "OH MY GOD!  YOU KILLED KENNY!  BASTARD!": GOTO 900
120 IF NYR > 5 THEN GOSUB 9100

150 INPUT "HOW MANY BUSHELS TO FEED YOUR PEOPLE? ", B
151 IF B > NB THEN PRINT "YOU DO NOT HAVE THAT MANY BUSHELS": GOTO 150
160 INPUT "HOW MANY ACRES TO PLANT? ", A
161 IF A > NA THEN PRINT "YOU DO NOT HAVE THAT MUCH LAND": GOTO 160
162 IF NS < (A * 2) THEN PRINT "NOT ENOUGH SEEDS TO PLANT": GOTO 160

170 REM - NOW ITERATE ACROSS A TIME INCREMENT
180 LET FED = B * 3 / 2
190 IF FED > NP THEN GOTO 210
200 PRINT "SOME PEOPLE HAVE DIED OF STARVATION.": LET NP = FED
210 LET NPL = A / 3
220 IF NPL < NP THEN GOTO 240
230 PRINT "YOU HAVE OVERWORKED SOME PEOPLE TO DEATH.": LET NP = NP - (NPL - NP)

240 REM - ALSO COMPUTE BUSHEL YIELD, PEOPLE BIRTH
250 NB = NB - B
255 NS = NS - (A * 2)
260 NB = NB + (A * 3)
270 NS = NS + (A * 3)
280 SEX = INT(NP * (1! + RND / 3!))
290 IF SEX > NP THEN PRINT "BABIES WERE BORN!": NP = SEX

300 REM - ALSO ACCOUNT FOR DISASTERS :-)
310 IF RND < .5 THEN PRINT "RATS EAT SOME SEEDS!": NS = INT(NS * .7)
320 IF RND < .4 THEN PRINT "THERE IS A FOOD BLIGHT!": NB = INT(NB * .7)
330 IF RND < .3 THEN PRINT "PEOPLE DIE FROM PLAGUE!": NP = INT(NP * .7)
340 IF NP > 0 AND NP < 10 THEN PRINT "TOO FEW PEOPLE.  I QUIT!": GOTO 900

800 REM - GO FOR ANOTHER ITERATION
810 LET YR = YR + 1: LET NYR = NYR + 1
820 IF NYR <= 10 THEN GOTO 100

830 REM - DONE WITH AN ELECTION PERIOD
840 PRINT "YOUR ELECTION TERM HAS ENDED"
850 GOSUB 9000
860 INPUT "RUN FOR ANOTHER TERM? (Y/N) ", AGN$
861 IF AGN$ = "y" OR AGN$ = "Y" THEN GOTO 90

900 PRINT : PRINT "SINCE YOU WERE FIRST ELECTED:"
909 IF NP < 0 THEN LET NP = 0
910 LET PCT = NP / NP0 * 100
920 PRINT "YOUR POPULATION IS NOW ", PCT; "% THE SIZE IT WAS."
930 IF PCT <= 80 THEN PRINT "YOU SUCK AS A NATIONAL LEADER!"
940 IF PCT > 80 AND PCT <= 100 THEN PRINT "YOU COULD DO BETTER"
950 IF PCT > 100 AND PCT <= 200 THEN PRINT "NOT BAD"
960 IF PCT > 200 THEN PRINT "WAY TO GO!"
970 IF PCT > 400 THEN PRINT "AWESOME!"
980 IF PCT > 600 THEN PRINT "TERRIFIC!"
990 IF PCT > 900 THEN PRINT "YOU ARE GOD!!"

999 END

9000 REM - A SUBROUTINE TO PRINT USEFUL INFORMATION
9010 PRINT : PRINT "YEAR ", YR
9011 PRINT "----------------------------------------------------------"
9020 PRINT "PEOPLE:", NP
9030 PRINT "SEEDS: ", NS
9040 PRINT "BUSHELS: ", NB
9050 PRINT "ACRES: ", NA
9060 PRINT "----------------------------------------------------------": PRINT
9070 RETURN

9100 REM - A SUBROUTINE TO BUY AND SELL LAND
9101 IF NB < 10 THEN RETURN
9110 PRINT "YOU CAN BUY OR SELL LAND NOW, IF YOU WISH.  THE GOING RATE IS"
9111 PRINT "TEN BUSHELS OF FOOD PER ACRE OF LAND."
9112 PRINT "WHAT DO YOU WANT TO DO:"
9113 PRINT "  N - NOTHING (DO NOT BUY OR SELL)"
9114 PRINT "  1 - BUY LAND"
9115 PRINT "  2 - SELL LAND"
9120 INPUT X
9121 IF X < 0 OR X > 2 THEN PRINT "WHAT DID YOU SAY?": GOTO 9112
9122 IF X = 0 THEN RETURN
9130 IF X = 1 THEN GOTO 9200

9140 REM - SELL LAND
9150 INPUT "HOW MUCH LAND TO SELL? (ENTER 0 TO CANCEL) ", NAS
9151 IF NAS < 0 OR NAS > NA THEN PRINT "YOU CANT DO THAT": GOTO 9150
9152 IF NAS = 0 THEN RETURN
9160 LET NA = NA - NAS
9170 LET NB = NB + (NAS * 10)
9180 RETURN

9200 REM - BUY LAND
9210 INPUT "HOW MUCH LAND TO BUY? (ENTER 0 TO CANCEL) ", NAB
9213 IF NAB = 0 THEN RETURN
9215 IF NAB < 0 OR (NAB * 10) > NB THEN PRINT "YOU CANT DO THAT": GOTO 9210
9220 LET NA = NA + NAB
9230 LET NB = NB - (NAB * 10)
9240 RETURN

